Package wx :: Package lib :: Module utils

[frames | no frames]

## Module wx.lib.utils

A few useful functions. (Ok, only one so far...)

Function Summary
| ``AdjustRectToScreen`(rect, adjust)` Compare the rect with the dinmensions of the display that the rect's upper left corner is positioned on.

Function Details

### AdjustRectToScreen(rect, adjust=(0, 0))

Compare the rect with the dinmensions of the display that the rect's upper left corner is positioned on. If it doesn't fit entirely on screen then attempt to make it do so either by repositioning the rectangle, resizing it, or both. Returns the adjusted rectangle.

If the adjustment value is given then it will be used to ensure that the rectangle is at least that much smaller than the display's client area.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:52:21 2009 | http://epydoc.sf.net